#include "pch.h"
#include "app.h"
#include "canvas.h"

void App::cmd_convert(std::string pano_path, std::string out_path)
{
    glDisable(GL_DEPTH_TEST);
    glEnable(GL_PROGRAM_POINT_SIZE);
    glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
    glBlendEquation(GL_FUNC_ADD);

    Canvas* canvas = new Canvas;
    canvas->create(CANVAS_RES, CANVAS_RES);
    canvas->project_open_thread(pano_path);
    canvas->export_equirectangular_thread(out_path);
}
